/*
* @Author: Bartuccio Antoine
* @Date:   2018-07-27 19:53:09
* @Last Modified by:   Bartuccio Antoine
* @Last Modified time: 2019-01-04 10:36:16
 */

package commands

import (
	"net/http"

	"git.klmp200.net/ALFRED/ALFRED/shared"

	"github.com/PuerkitoBio/goquery"
	tb "gopkg.in/tucnak/telebot.v2"
)

// AperoTime checks if it's time to drink on an external website
func AperoTime(m *tb.Message) {
	response, err := http.Get("http://estcequecestbientotlapero.fr")
	if err != nil {
		shared.Bot.Send(m.Chat, "Impossible de savoir si c'est bel et bien l'heure de l'apéro")
		return
	}
	defer response.Body.Close()
	doc, err := goquery.NewDocumentFromReader(response.Body)
	if err != nil {
		shared.Bot.Send(m.Chat, "La réponse qui m'a été fournit est incohérente.")
		return
	}
	shared.Bot.Send(m.Chat, doc.Find("h2").First().Text())
}
